<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::acl::ExchangeHandler Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html">acl</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html">ExchangeHandler</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::acl::ExchangeHandler Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_exchange_handler_8h_source.html">ExchangeHandler.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::acl::ExchangeHandler:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1acl_1_1_exchange_handler_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1acl_1_1_exchange_handler_inherit__map" id="alexa_client_s_d_k_1_1acl_1_1_exchange_handler_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1acl_1_1_downchannel_handler.html" title="alexaClientSDK::acl\l::DownchannelHandler" alt="" coords="204,5,360,44"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1acl_1_1_message_request_handler.html" title="alexaClientSDK::acl\l::MessageRequestHandler" alt="" coords="192,68,372,107"/>
<area shape="rect" id="node4" href="classalexa_client_s_d_k_1_1acl_1_1_ping_handler.html" title="alexaClientSDK::acl\l::PingHandler" alt="" coords="213,131,352,169"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a0bde5d7f73fc7ff8951f87b02c402b34"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html#a0bde5d7f73fc7ff8951f87b02c402b34">ExchangeHandler</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler_context_interface.html">ExchangeHandlerContextInterface</a> &gt; context, const std::string &amp;authToken)</td></tr>
<tr class="separator:a0bde5d7f73fc7ff8951f87b02c402b34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ea9f18a33af81abc7f17df05ff03743"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html#a1ea9f18a33af81abc7f17df05ff03743">~ExchangeHandler</a> ()=default</td></tr>
<tr class="separator:a1ea9f18a33af81abc7f17df05ff03743"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:aad241aeacd02521c7ce92f803eab84e9"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler_context_interface.html">ExchangeHandlerContextInterface</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html#aad241aeacd02521c7ce92f803eab84e9">m_context</a></td></tr>
<tr class="memdesc:aad241aeacd02521c7ce92f803eab84e9"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_transport.html">HTTP2Transport</a></code> instance for which this exchange is to be performed.  <a href="#aad241aeacd02521c7ce92f803eab84e9">More...</a><br /></td></tr>
<tr class="separator:aad241aeacd02521c7ce92f803eab84e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a662bd984238af0979c631424057aae0a"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html#a662bd984238af0979c631424057aae0a">m_authToken</a></td></tr>
<tr class="memdesc:a662bd984238af0979c631424057aae0a"><td class="mdescLeft">&#160;</td><td class="mdescRight">The auth token used to make the request.  <a href="#a662bd984238af0979c631424057aae0a">More...</a><br /></td></tr>
<tr class="separator:a662bd984238af0979c631424057aae0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a437cb6882b3c85dadc3b0ef09a4e2ba6"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html#a437cb6882b3c85dadc3b0ef09a4e2ba6">m_authHeader</a></td></tr>
<tr class="memdesc:a437cb6882b3c85dadc3b0ef09a4e2ba6"><td class="mdescLeft">&#160;</td><td class="mdescRight">The AVS authorization header to send in the request.  <a href="#a437cb6882b3c85dadc3b0ef09a4e2ba6">More...</a><br /></td></tr>
<tr class="separator:a437cb6882b3c85dadc3b0ef09a4e2ba6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Common base class for HTTP2 request / response exchanges with AVS. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a0bde5d7f73fc7ff8951f87b02c402b34"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0bde5d7f73fc7ff8951f87b02c402b34">&#9670;&nbsp;</a></span>ExchangeHandler()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::ExchangeHandler::ExchangeHandler </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler_context_interface.html">ExchangeHandlerContextInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>context</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>authToken</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Constructor.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">context</td><td>The context in which this HTTP2 request / reply exchange will be performed. </td></tr>
    <tr><td class="paramname">authToken</td><td>The authorization token to send in the request. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a1ea9f18a33af81abc7f17df05ff03743"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ea9f18a33af81abc7f17df05ff03743">&#9670;&nbsp;</a></span>~ExchangeHandler()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual alexaClientSDK::acl::ExchangeHandler::~ExchangeHandler </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Destructor </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a437cb6882b3c85dadc3b0ef09a4e2ba6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a437cb6882b3c85dadc3b0ef09a4e2ba6">&#9670;&nbsp;</a></span>m_authHeader</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::acl::ExchangeHandler::m_authHeader</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The AVS authorization header to send in the request. </p>

</div>
</div>
<a id="a662bd984238af0979c631424057aae0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a662bd984238af0979c631424057aae0a">&#9670;&nbsp;</a></span>m_authToken</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::acl::ExchangeHandler::m_authToken</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The auth token used to make the request. </p>

</div>
</div>
<a id="aad241aeacd02521c7ce92f803eab84e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad241aeacd02521c7ce92f803eab84e9">&#9670;&nbsp;</a></span>m_context</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler_context_interface.html">ExchangeHandlerContextInterface</a>&gt; alexaClientSDK::acl::ExchangeHandler::m_context</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_transport.html">HTTP2Transport</a></code> instance for which this exchange is to be performed. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/ACL/include/ACL/Transport/<a class="el" href="_exchange_handler_8h_source.html">ExchangeHandler.h</a></li>
<li>/workplace/avs-device-sdk/ACL/src/Transport/<a class="el" href="_exchange_handler_8cpp.html">ExchangeHandler.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
